package com.ruoyi.project.business.service;

import com.ruoyi.common.importExcel.excel.helper.BasicTableInfoHelper;
import com.ruoyi.common.importExcel.excel.tempInfo.PriceFormBasicInfoHelper;
import com.ruoyi.common.importExcel.utils.ExcelUtils;
import com.ruoyi.project.business.domain.TpElevatorModel;
import com.ruoyi.project.business.domain.vo.paramSelectItem.ElevatorModeParamlVo;
import com.ruoyi.project.business.domain.vo.paramSelectItem.TpElevatorModelVo;
import com.ruoyi.project.business.domain.vo.quotation.EleconfigVO;
import com.ruoyi.project.business.dto.TpElevatorModelDto;
import java.util.List;


/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2024-04-25
 */
public interface ITpElevatorModelService {

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TpElevatorModel selectTpElevatorModelById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tpElevatorModel 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TpElevatorModel> selectTpElevatorModelList(TpElevatorModel tpElevatorModel);

    /**
     * description: listForComponents 服务于共同组件的查询
     *
     * @param param: 前端查询参数
     * @return java.util.List<com.ruoyi.project.business.dto.TpElevatorModelDto>
     * @author jubs 😀
     * @date 2024/4/29 14:06
     */
    List<TpElevatorModelDto> listForComponents(TpElevatorModelDto param);

    /**
     * 新增【请填写功能名称】
     *
     * @param tpElevatorModel 【请填写功能名称】
     * @return 结果
     */
    public int insertTpElevatorModel(TpElevatorModel tpElevatorModel);

    /**
     * 修改【请填写功能名称】
     *
     * @param tpElevatorModel 【请填写功能名称】
     * @return 结果
     */
    public int updateTpElevatorModel(TpElevatorModel tpElevatorModel);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteTpElevatorModelByIds(Long[] ids);
    public int deleteTpElevatorModelChildByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTpElevatorModelById(Long id);

    int updateParaStatus(TpElevatorModel tpElevatorModel);

    List<TpElevatorModel> selectTpElevatorModelListNew(TpElevatorModelVo tpElevatorModel);

    List<TpElevatorModel> listNewAll(TpElevatorModelVo tpElevatorModel);

    ElevatorModeParamlVo selectTpElevatorModelParamById(Long id);

    ElevatorModeParamlVo selectTpElevatorModelParamSelectItemById(Long id);

    ElevatorModeParamlVo selectTpElevatorModelParamStantById(Long id);

    EleconfigVO selectTpElevatorModelParamOption(Long id, boolean quotationFlag);

    ExcelUtils.UploadResult<PriceFormBasicInfoHelper> checkPriceFormImport(BasicTableInfoHelper basicTableInfoHelper,
        List<PriceFormBasicInfoHelper> priceFormBasicInfoHelpers);

    ElevatorModeParamlVo selectTpElevatorModelJGBById(Long id);

    EleconfigVO listElevatorParam(Long id, boolean quotationFlag);
}
